SimpleFieldTypeEnum (KML Framework API)
Keywords: org.boehn.kmlframework.kml.SimpleFieldTypeEnum class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.boehn.kmlframework.kml
Enum SimpleFieldTypeEnum

    java.lang.Object
      java.lang.Enum<SimpleFieldTypeEnum>
          org.boehn.kmlframework.kml.SimpleFieldTypeEnum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SimpleFieldTypeEnum>

    public enum SimpleFieldTypeEnum

extends java.lang.Enum<SimpleFieldTypeEnum>

Enum Constant Summary
`_double`
`_float`
`_int`
`_short`
`bool`
`string`
`uint`
`ushort`

Method Summary
`static SimpleFieldTypeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SimpleFieldTypeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### string

    public static final SimpleFieldTypeEnum string

### _int

    public static final SimpleFieldTypeEnum _int

### uint

    public static final SimpleFieldTypeEnum uint

### _short

    public static final SimpleFieldTypeEnum _short

### ushort

    public static final SimpleFieldTypeEnum ushort

### _float

    public static final SimpleFieldTypeEnum _float

### _double

    public static final SimpleFieldTypeEnum _double

### bool

    public static final SimpleFieldTypeEnum bool

Method Detail

### values

    public static final SimpleFieldTypeEnum[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SimpleFieldTypeEnum c : SimpleFieldTypeEnum.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SimpleFieldTypeEnum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD